Package org.zkoss.stateless.sul

## Enum IPdfviewer.ZoomMode

- java.lang.Object
- - java.lang.Enum<IPdfviewer.ZoomMode>
  - - org.zkoss.stateless.sul.IPdfviewer.ZoomMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IPdfviewer.ZoomMode>`
  Enclosing interface:
    IPdfviewer

      public static enum IPdfviewer.ZoomMode
      extends java.lang.Enum<IPdfviewer.ZoomMode>

  Specifies the zoom mode with `IPdfviewer.withZoomMode(ZoomMode)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIT_PAGE_HEIGHT` | Fits to page height.
    `FIT_PAGE_WIDTH` | Fits to page width.
    `NORMAL` | As normal zoom with a double value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static IPdfviewer.ZoomMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IPdfviewer.ZoomMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final IPdfviewer.ZoomMode NORMAL

      As normal zoom with a double value

    - #### FIT_PAGE_WIDTH

          public static final IPdfviewer.ZoomMode FIT_PAGE_WIDTH

      Fits to page width.

    - #### FIT_PAGE_HEIGHT

          public static final IPdfviewer.ZoomMode FIT_PAGE_HEIGHT

      Fits to page height.

  - ### Method Detail

    - #### values

          public static IPdfviewer.ZoomMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPdfviewer.ZoomMode c : IPdfviewer.ZoomMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPdfviewer.ZoomMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<IPdfviewer.ZoomMode>`